Mozilla Firefox 3.6 is no longer supported

Mozilla Firefox 3.6 is no longer supported

Mozilla stopped supporting Firefox 3.6 3 days back.

Mozilla spoke about this decision last month:

After two years of regular updates, we’ll end our support for Firefox 3.6 on April 24th. We strongly advise our users to upgrade from Firefox 3.6, as they will no longer receive critical security updates as of April 24th. We’d also like to take this opportunity to announce that our minimum supported Windows version will change from Windows 2000 to Windows XP SP2 in Firefox 13.

Leave a Reply